Python
import os
from dataframer import Dataframer
client = Dataframer(
api_key=os.environ.get("DATAFRAMER_API_KEY"), # This is the default and can be omitted
)
response = client.dataframer.runs.files.download_all(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.download_url)curl https://df-api.dataframer.ai/api/dataframer/runs/$RUN_ID/files/download/ \
-H "Authorization: Bearer $DATAFRAMER_API_KEY"{
"download_url": "https://s3.amazonaws.com/bucket/path/to/file.zip?signature=...",
"size_bytes": 1048576
}{
"download_url": null,
"size_bytes": null
}{
"error": "No generated files found"
}Data Generation Runs
Download all generated files
Download all generated files from a run as a single ZIP archive
GET
/
api
/
dataframer
/
runs
/
{run_id}
/
files
/
download
/
Python
import os
from dataframer import Dataframer
client = Dataframer(
api_key=os.environ.get("DATAFRAMER_API_KEY"), # This is the default and can be omitted
)
response = client.dataframer.runs.files.download_all(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.download_url)curl https://df-api.dataframer.ai/api/dataframer/runs/$RUN_ID/files/download/ \
-H "Authorization: Bearer $DATAFRAMER_API_KEY"{
"download_url": "https://s3.amazonaws.com/bucket/path/to/file.zip?signature=...",
"size_bytes": 1048576
}{
"download_url": null,
"size_bytes": null
}{
"error": "No generated files found"
}Async operation: First call triggers ZIP generation with code
202. While ZIP generation is in progress (takes a couple of seconds), this endpoint keeps returning 202. Poll until you receive 200 with a download_url.- All generated files with folder structure preserved
- Metadata files (
.metadata) with evaluation classifications if available - Top-level metadata (
top_level.metadata) with evaluation summary
Authorizations
API Key authentication. Format: "Bearer YOUR_API_KEY"
Path Parameters
The unique identifier of the run

